summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-25 18:38:36 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-25 18:38:36 +0300
commit69ca3f3bc6380e237a09c95d6c59413b8cc8a082 (patch)
treeb07fa4d0fc9d53859ecad819982e54b244e14cff /.tools
parenta2b04fbd387c6e50210c02decb04548745e5a959 (diff)
downloadclientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.tar.gz
clientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.tar.bz2
clientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.tar.xz
clientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.zip
Fix check_error function.
Diffstat (limited to '.tools')
-rwxr-xr-x.tools/contributors.sh2
-rwxr-xr-x.tools/deploy.sh6
-rwxr-xr-x.tools/init.sh8
-rwxr-xr-x.tools/testxml.sh2
4 files changed, 9 insertions, 9 deletions
diff --git a/.tools/contributors.sh b/.tools/contributors.sh
index c9304e3e..dc63b91a 100755
--- a/.tools/contributors.sh
+++ b/.tools/contributors.sh
@@ -12,7 +12,7 @@ cd tools/contrib_xsl
pwd
make about-server
-check_error
+check_error $?
cd ../../clientdata
pwd
diff --git a/.tools/deploy.sh b/.tools/deploy.sh
index b5449f6e..17017eb2 100755
--- a/.tools/deploy.sh
+++ b/.tools/deploy.sh
@@ -20,14 +20,14 @@ gitclone https://gitlab.com/evol/evol-music.git music
cd tools/update
./createnew.sh
-check_error
+check_error $?
./create_music.sh
-check_error
+check_error $?
cp -r upload/* ../../clientdata/public
cd ../../clientdata
gitclone https://gitlab.com/4144/pagesindexgen.git pagesindexgen
cd pagesindexgen
./pagesindexgen.py ../public
-check_error
+check_error $?
ls ../public
diff --git a/.tools/init.sh b/.tools/init.sh
index a2bda610..0315f39a 100755
--- a/.tools/init.sh
+++ b/.tools/init.sh
@@ -16,7 +16,7 @@ function gitclone {
git clone $*
fi
fi
- check_error
+ check_error $?
}
function aptget_update {
@@ -29,7 +29,7 @@ function aptget_update {
apt-get update
fi
fi
- check_error
+ check_error $?
}
function aptget_install {
@@ -42,12 +42,12 @@ function aptget_install {
apt-get -y -qq install $*
fi
fi
- check_error
+ check_error $?
}
function clientdata_init {
mkdir shared
cd ..
ln -s clientdata client-data
- check_error
+ check_error $?
}
diff --git a/.tools/testxml.sh b/.tools/testxml.sh
index c56dbd6f..d28dffb6 100755
--- a/.tools/testxml.sh
+++ b/.tools/testxml.sh
@@ -11,7 +11,7 @@ gitclone https://gitlab.com/evol/evol-tools.git tools
cd tools/testxml
./xsdcheck.sh
-check_error
+check_error $?
export RES=$(cat errors.txt)
if [[ -n "${RES}" ]]; then
echo "xml check failed" >../../clientdata/shared/error.log